#pragma once

#include <cstddef>
#include <memory>

#include <Ship/Cargo.h>
#include <Ship/CargoFactory.h>

class ItemFactory : public CargoFactory<> {
public:
    std::unique_ptr<Cargo> create(size_t amount) override {
        return std::make_unique<Item>(amount);
    }
};
